/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"stream.h"
#include	"u_file.h"

extern int now_open_files;

int
s_check_resource()
{
	if ( now_open_files > (sys_param.max_fd/2) )
		return -1;
	return 0;
}

int
s_check_resource2(int * op_max)
{
	if ( op_max )
		*op_max = sys_param.max_fd;
	return now_open_files;
}
